For the complete documentation index, see llms.txt. This page is also available as Markdown.

Peer

Network peer and validator information

Get ANR by public key

get
/api/peer/anr/{pk}

Retrieve Address and Routing (ANR) information for a specific peer by public key

Path parameters
pkstringRequired

Public key (Base58 encoded)

Responses
200

ANR information

application/json
errorstringOptionalExample: ok
anrobjectOptional

Address and Routing information

get/api/peer/anr/{pk}
GET /api/peer/anr/{pk} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

ANR information

{
  "error": "ok",
  "anr": {}
}

Get ANRs for all validators

get
/api/peer/anr_validators

Retrieve Address and Routing information for all active validators

Responses
200

List of validator ANRs

application/json
errorstringOptionalExample: ok
anrsobject[]Optional
get/api/peer/anr_validators
GET /api/peer/anr_validators HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

List of validator ANRs

{
  "error": "ok",
  "anrs": [
    {}
  ]
}

Get all ANRs

get
/api/peer/anr

Retrieve Address and Routing information for all known peers

Responses
200

List of all ANRs

application/json
errorstringOptionalExample: ok
anrsobject[]Optional
get/api/peer/anr
GET /api/peer/anr HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

List of all ANRs

{
  "error": "ok",
  "anrs": [
    {}
  ]
}

Get all nodes

get
/api/peer/nodes

Retrieve information about all connected nodes

Responses
200

List of nodes

application/json
errorstringOptionalExample: ok
nodesobject[]Optional
get/api/peer/nodes
GET /api/peer/nodes HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

List of nodes

{
  "error": "ok",
  "nodes": [
    {}
  ]
}

Get all trainers (validators)

get
/api/peer/trainers

Retrieve list of all active validator nodes

Responses
200

List of trainers

application/json
errorstringOptionalExample: ok
trainersobject[]Optional
get/api/peer/trainers
GET /api/peer/trainers HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

List of trainers

{
  "error": "ok",
  "trainers": [
    {}
  ]
}

Get removed trainers

get
/api/peer/removed_trainers

Retrieve list of validators that have been removed

Responses
200

List of removed trainers

application/json
errorstringOptionalExample: ok
removed_trainersobject[]Optional
get/api/peer/removed_trainers
GET /api/peer/removed_trainers HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

List of removed trainers

{
  "error": "ok",
  "removed_trainers": [
    {}
  ]
}

Last updated